4

Has anyone downgraded an iMac 5 (Retina 5k, 27-inch, Late 2014) pre-installed with Yosemite to an older version of Mac OS?

My Pro Tools 10 does´t work with Yosemite. I have two days to resolve this, if not I have to return the computer.

I have tried it to downgrade and it appears this symbol:

⊘

If somebody has done the downgrade, please give a step-by-step solution.

5

It is impossible to downgrade this Mac to anything less than Yosemite - the hardware forbids it. You have proved this in practice by getting the No Boot sign.

As for Pro Tools: from the Avid site: Note: Pro Tools 10.x and earlier (including Pro Tools Express) will not be tested/qualified with Yosemite (or Mavericks).

You will have to upgrade your Pro Tools to version 11 if you want to use Yosemite.

  • Or even version 12 as that is out – Mark Mar 25 '15 at 22:19
2

Software can be downgraded only as far as the drivers will go. As the iMac 5k Retina has a rather fancy graphics card that likely didn't exist when they wrote Mavericks, it is highly unlikely you will get anything older to work on it.

So, here's what you do:

  • Reinstall Yosemite using the Recovery Partition (or Internet recovery if you already broke the recovery partition)

One of:

  • Upgrade Pro Tools to a Yosemite compatible version

  • Get VMware Fusion and run Mavericks (and Pro Tools) in a virtual machine. Once you have started on this route you can also run pretty much any x86-compatible operating system all the way back to DOS 6. You will probably want more memory.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .